<?php

	$session = $this->getSession();
	$session = $this->getSession();
	$registry = $this->getRegistry();

	// appel fichier internalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();

	// $pager = new Yab_Helper_Pager($sitefouilles_index, 'pager_sitefouille');

	// $sitefouilles_index_index = $pager->getStatement();
	$sitefouilles_index->noLimit();

?>
<script type='text/javascript'>
	var sZeroRecords = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>"
	var sSearch = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/table_module.js"></script>

<script type='text/javascript'>
function confirmer(url) {  // jfb 2016-04-13
	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
		document.location.href = url ;
	}
}
</script>

<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_sitefouilles_index_wrapper">
		<table id="table_sitefouilles_index"
			   class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('sitefouille_title_index')) ; ?>
			</caption>
			<thead>
			<tr class="headings">
				<th><?php echo $filter_no_html->filter( $i18n->say('sitefouille_nom')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n->say('sitefouille_nomabrege')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n->say('numerosite')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n->say('departement')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n->say('commune')) ; ?></th>
				
				<th colspan="2" align="center"><a
						href="<?php echo $this->getRequest('Sitefouille', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign"
								  style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>
				</a></th>
			</tr>
			</thead>
			<tbody>
			<?php foreach($sitefouilles_index as $sitefouille){ ?>
			<tr
					href="<?php echo $this->getRequest('Sitefouille', 'show', $sitefouille->getPrimary()); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

				<td class="table-row-data">
					<?php echo $sitefouille->get('nom', $filter_html); ?>
				</td>
				<td class="table-row-data">
					<?php echo $sitefouille->get('nomabrege', $filter_html); ?>
				</td>
				<td class="table-row-data">
					<?php echo $sitefouille->get('numerosite', $filter_html); ?>
				</td>
				<td class="table-row-data">
					<?php echo $sitefouille->get('departement', $filter_html); ?>
				</td>
				<td class="table-row-data">
					<?php echo $sitefouille->get('commune', $filter_html); ?>
				</td>

				<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Sitefouille', 'edit', $sitefouille->getPrimary()); ?>"><span
						class="glyphicon glyphicon-edit" style="font-size: 18px;"
						alt="Editer" title="Editer"></span></a></td>
				<td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Sitefouille', 'delete', $sitefouille->getPrimary()); ?>');"
						alt="Supprimer" title="Supprimer"></span>
				</td>
			</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
			href="<?php echo $this->getRequest('Index', 'index'); ?>"
			class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>